#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Date
%define		pnam	Manip
Summary:	Date::Manip - date manipulation routines
Summary(pl.UTF-8):	Date::Manip - procedury do operowania na datach
Name:		perl-Date-Manip
Version:	6.78
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Date/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3668485fe389e12e7376974290976eb4
URL:		http://search.cpan.org/dist/Date-Manip/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.30
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Inter
BuildRequires:	perl-YAML-Syck
%endif
Obsoletes:	perl-DateManip
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl module Date::Manip contains a set of routines designed to make
any common date/time manipulation easy to do. Operations such as
comparing two times, calculating a time a given amount of time from
another, or parsing international times are all easily done.

%description -l pl.UTF-8
Moduł Perla Date::Manip zawiera zbiór procedur zaprojektowanych, aby
ułatwić często wykonywane operacje na datach/czasie. Operacje takie
jak porównywanie dwóch czasów, obliczanie czasu następującego po
zadanej ilości czasu od innego czasu, analiza czasów z podaną strefą
czasową - wszystkie łatwo wykonać.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Date/{Manip,Manip/*,Manip/Lang/*}.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README.first
%attr(755,root,root) %{_bindir}/dm_date
%attr(755,root,root) %{_bindir}/dm_zdump
%{perl_vendorlib}/Date/Manip.pm
%dir %{perl_vendorlib}/Date/Manip
%{perl_vendorlib}/Date/Manip/*.pm
%dir %{perl_vendorlib}/Date/Manip/Lang
%{perl_vendorlib}/Date/Manip/Lang/*.pm
%dir %{perl_vendorlib}/Date/Manip/Offset
%{perl_vendorlib}/Date/Manip/Offset/*.pm
%dir %{perl_vendorlib}/Date/Manip/TZ
%{perl_vendorlib}/Date/Manip/TZ/*.pm
%{_mandir}/man1/dm_date.1*
%{_mandir}/man1/dm_zdump.1*
%{_mandir}/man3/Date::Manip*.3pm*
%changelog
* Wed Apr 29 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Date-Manip.git;a=log;h=e9b60e798211701755f7849ca501c3a73fda035b

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> e9b60e7
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 8c3f1f6
- up to 6.78

* Fri Mar 01 2019 Adam Gołębiowski <adamg@pld-linux.org> a2f73e8
- updated to 6.76

* Tue Dec 04 2018 Adam Gołębiowski <adamg@pld-linux.org> 6169ba5
- updated to 6.75

* Sat Dec 01 2018 Adam Gołębiowski <adamg@pld-linux.org> ed8c913
- updated to 6.74

* Thu Mar 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1439acb
- up to 6.70

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d0e7ec
- up to 6.60

* Wed Sep 09 2015 Marcin Krol <hawk@tld-linux.org> 4b49935
- updated to 6.51

* Sun Jun 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 34db8aa
- up to 6.50

* Tue Mar 03 2015 Jakub Bogusz <qboosh@pld-linux.org> bc077be
- versioned ExtUtils::MakeMaker BR

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ea80a17
- up to 6.48

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a2417da
- up to 6.24

* Sun Oct 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 713fdb9
- package dm_{date,zdump} utilities

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ffecb44
- up to 6.41

* Sat Jun 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 567c2a1
- enabled tests

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> df11be8
- Up to 6.32

* Wed Jan 18 2012 Caleb Maclennan <caleb@alerque.com> ddece50
- Up to 6.30

* Sat May 07 2011 Caleb Maclennan <caleb@alerque.com> 9d9776b
- Up to 6.23

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> e544924
- Up to 6.22

* Fri Feb 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 58cac7f
- files cleanup

